Installer reports Mcrypt: NOT AVAILABLE

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Installer reports Mcrypt: NOT AVAILABLE

Robert Moskowitz
Yet, it is installed:

grep mcrypt /var/log/yum.log
Mar 03 11:42:17 Installed: libmcrypt-2.5.8-13.el7.armv7hl
Mar 03 11:42:19 Installed: mcrypt-2.6.8-11.el7.armv7hl

How do I figure out why the installer reports it is not available?

thank you
_______________________________________________
Roundcube Users mailing list
[hidden email]
http://lists.roundcube.net/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Installer reports Mcrypt: NOT AVAILABLE

A.L.E.C
On 04/05/2017 05:32 AM, Robert Moskowitz wrote:
> Yet, it is installed:
>
> grep mcrypt /var/log/yum.log
> Mar 03 11:42:17 Installed: libmcrypt-2.5.8-13.el7.armv7hl
> Mar 03 11:42:19 Installed: mcrypt-2.6.8-11.el7.armv7hl
>
> How do I figure out why the installer reports it is not available?


Because it requires php extension of that name. Why are you installing
old version of Roundcube? Since 1.2 we do not use mcrypt.

--
Aleksander 'A.L.E.C' Machniak
Kolab Groupware Developer         [http://kolab.org]
Roundcube Webmail Developer   [http://roundcube.net]
----------------------------------------------------
PGP: 19359DC1 # Blog: https://kolabian.wordpress.com
_______________________________________________
Roundcube Users mailing list
[hidden email]
http://lists.roundcube.net/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Installer reports Mcrypt: NOT AVAILABLE

Robert Moskowitz
In reply to this post by Robert Moskowitz


On 04/05/2017 04:32 AM, Reindl Harald wrote:

>
>
> Am 05.04.2017 um 05:32 schrieb Robert Moskowitz:
>> Yet, it is installed:
>>
>> grep mcrypt /var/log/yum.log
>> Mar 03 11:42:17 Installed: libmcrypt-2.5.8-13.el7.armv7hl
>> Mar 03 11:42:19 Installed: mcrypt-2.6.8-11.el7.armv7hl
>>
>> How do I figure out why the installer reports it is not available?
>
> mcrypt != php-mcrypt
>
> php-mcrypt-5.4.16-7.el7.x86_64
>
   Installing :
php-mcrypt-5.4.16-8.el7.armv7hl                              1/1

fixed.  I need to read the requirements a little closer, in that it is
talking php extensions where mcrypt is listed.

Thanks Harald
_______________________________________________
Roundcube Users mailing list
[hidden email]
http://lists.roundcube.net/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Installer reports Mcrypt: NOT AVAILABLE

Robert Moskowitz
In reply to this post by A.L.E.C


On 04/05/2017 01:37 AM, A.L.E.C wrote:

> On 04/05/2017 05:32 AM, Robert Moskowitz wrote:
>> Yet, it is installed:
>>
>> grep mcrypt /var/log/yum.log
>> Mar 03 11:42:17 Installed: libmcrypt-2.5.8-13.el7.armv7hl
>> Mar 03 11:42:19 Installed: mcrypt-2.6.8-11.el7.armv7hl
>>
>> How do I figure out why the installer reports it is not available?
>
> Because it requires php extension of that name. Why are you installing
> old version of Roundcube? Since 1.2 we do not use mcrypt.
>
For now, I a using the packages that come with Centos7-arm.  For
roundcubemail we just got the update to 1.1.8:

Mar 03 11:41:18 Installed: roundcubemail-1.1.7-1.el7.noarch
Apr 04 09:30:23 Updated: roundcubemail-1.1.8-1.el7.noarch

By staying with the distro releases, I have one less item to worry about
when in production.  That is to monitor a package that there is some
update I really need to install.  I can, for the most part, leave that
to the distro managers.

_______________________________________________
Roundcube Users mailing list
[hidden email]
http://lists.roundcube.net/mailman/listinfo/users
Loading...